summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-java/icedtea: Version bump to 3.0.0 final for Java 8James Le Cuirot2016-04-103-0/+404
| | | | Package-Manager: portage-2.2.28
* dev-java/icedtea-bin: Version bump to 3.0.0 finalJames Le Cuirot2016-04-102-0/+150
| | | | | | There are no security fixes since pre10. Package-Manager: portage-2.2.28
* dev-java/juel: Clean up old.Patrice Clement2016-04-082-72/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/juel: Stable for amd64. Retroactively mark stable for the remaining ↵Patrice Clement2016-04-081-1/+1
| | | | | | arches using the ALLARCHES policy. Package-Manager: portage-2.2.26
* dev-java/xml-commons-external: EAPI 5 bump. Switch to java-pkg-simple.Patrice Clement2016-04-082-0/+28
| | | | Package-Manager: portage-2.2.26
* dev-java/netty-common: Remove old 4.0.32James Le Cuirot2016-04-072-47/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-buffer: Remove old 4.0.32James Le Cuirot2016-04-073-287/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-transport: Remove old 4.0.32James Le Cuirot2016-04-073-279/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-codec: Remove old 4.0.21, 4.0.32James Le Cuirot2016-04-075-630/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-handler: Remove old 4.0.19James Le Cuirot2016-04-073-294/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-handler: Bump to 4.0.36, java-pkg-simple rewriteJames Le Cuirot2016-04-072-0/+58
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-codec: Version bump to 4.0.36, java-pkg-simple rewriteJames Le Cuirot2016-04-072-0/+56
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-transport: Bump to 4.0.36, java-pkg-simple rewriteJames Le Cuirot2016-04-072-0/+62
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-buffer: Version bump to 4.0.36, java-pkg-simple rewriteJames Le Cuirot2016-04-072-0/+50
| | | | Package-Manager: portage-2.2.28
* dev-java/netty-common: Version bump to 4.0.36, working testsJames Le Cuirot2016-04-072-0/+63
| | | | Package-Manager: portage-2.2.28
* dev-java/jetty-alpn-api: New package, required by netty-handlerJames Le Cuirot2016-04-073-0/+42
| | | | | | Thanks to wltjr for the original ebuild. Package-Manager: portage-2.2.28
* dev-java/jetty-npn-api: New package, required by netty-handlerJames Le Cuirot2016-04-073-0/+37
| | | | | | | Thanks to wltjr for the original ebuild. Annoyingly the GitHub repository for this has vanished, probably because it is deprecated. Package-Manager: portage-2.2.28
* dev-java/netty-tcnative: New package, required by netty-handlerJames Le Cuirot2016-04-073-0/+81
| | | | Package-Manager: portage-2.2.28
* dev-java/maven-hawtjni-plugin: New package, resources onlyJames Le Cuirot2016-04-073-0/+42
| | | | | | | | We currently don't use Maven in ebuilds and we haven't found the need to build the many plugins. This one has useful resource files for building netty-tcnative and potentially other native libraries. Package-Manager: portage-2.2.28
* dev-java/xpp3: Clean up old.Patrice Clement2016-04-074-120/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/xpp3: Stable for amd64. Retroactively mark stable for the remaining ↵Patrice Clement2016-04-071-3/+3
| | | | | | arches using the ALLARCHES policy. Package-Manager: portage-2.2.26
* dev-java/junit: Remove old 4.10 and 4.11James Le Cuirot2016-04-075-208/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/junit: 4.12-r1 stable on amd64, ppc64, x86 using ALLARCHESJames Le Cuirot2016-04-071-1/+1
| | | | Package-Manager: portage-2.2.28
* dev-java/junit: Fix SRC_URIJames Le Cuirot2016-04-072-3/+5
| | | | | | | | It was outdated, lacking a name, and pointing to the zip instead of the tar.gz. The latter avoids app-arch/unzip, which was missing anyway. Package-Manager: portage-2.2.28
* dev-java/lucene: Relax junit version restriction in 3.6.2James Le Cuirot2016-04-071-2/+2
| | | | | | | I can't see any reason why this was restricted to 4.10 other than that's what upstream used. 4.12 works fine. Package-Manager: portage-2.2.28
* dev-java/icedtea-bin: Remove vulnerable 3.0.0_pre09-r1 wrt bug #578788James Le Cuirot2016-04-062-176/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/icedtea-bin: Stable for PPC64 (bug #578788).Jeroen Roovers2016-04-051-1/+1
| | | | | Package-Manager: portage-2.2.28 RepoMan-Options: --ignore-arches
* dev-java/xml-commons: Keyword for ppc64.Patrice Clement2016-04-051-1/+1
| | | | | | --straight-to-stable due to oversight when cleaning up. Package-Manager: portage-2.2.26
* dev-java/commons-launcher: EAPI 5 bump. Switch to java-pkg-simple.Patrice Clement2016-04-051-0/+44
| | | | Package-Manager: portage-2.2.26
* dev-java/xml-writer: EAPI 5 bump. Switch to java-pkg-simple.Patrice Clement2016-04-051-0/+37
| | | | Package-Manager: portage-2.2.26
* dev-java/xml-im-exporter: Clean up old.Patrice Clement2016-04-052-32/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/xml-im-exporter: Stable for amd64. Retroactively mark stable for ↵Patrice Clement2016-04-051-4/+4
| | | | | | the remaining arches using the ALLARCHES policy. Package-Manager: portage-2.2.26
* dev-java/forehead: Clean up old.Patrice Clement2016-04-052-64/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/forehead: Stable for amd64. Retroactively mark stable for the ↵Patrice Clement2016-04-051-6/+10
| | | | | | remaining arches using the ALLARCHES policy. Package-Manager: portage-2.2.26
* dev-java/xml-commons: Clean up old.Patrice Clement2016-04-054-92/+1
| | | | Package-Manager: portage-2.2.26
* dev-java/xml-commons: Stable for amd64. Retroactively mark stable for the ↵Patrice Clement2016-04-051-5/+5
| | | | | | remaining arches using the ALLARCHES policy. Package-Manager: portage-2.2.26
* dev-java/glazedlists: Correct header.Patrice Clement2016-04-041-1/+1
| | | | Package-Manager: portage-2.2.26
* dev-java/glazedlists: Switch to java-pkg-simple.Patrice Clement2016-04-042-0/+29
| | | | Package-Manager: portage-2.2.26
* dev-java/microba: Version bump. EAPI 5 bump. Switch to java-pkg-simple.Patrice Clement2016-04-042-0/+42
| | | | Package-Manager: portage-2.2.26
* dev-java/xpp3: EAPI 5 bump. Switch to java-pkg-simple.Patrice Clement2016-04-042-0/+25
| | | | Package-Manager: portage-2.2.26
* dev-java/sablecc-anttask: Clean up old.Patrice Clement2016-04-042-28/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/sablecc-anttask: Switch to java-pkg-simple.Patrice Clement2016-04-042-0/+35
| | | | | | --straight-to-stable because the previous version is bogus. Package-Manager: portage-2.2.26
* dev-java/sablecc: Clean up old.Patrice Clement2016-04-041-35/+0
| | | | Package-Manager: portage-2.2.26
* dev-java/sablecc: Convert to java-pkg-simple.Patrice Clement2016-04-041-0/+39
| | | | | | --straight-to-stable because the current stable version is broken. Package-Manager: portage-2.2.26
* dev-java/java-config: Remove old 2.2.0James Le Cuirot2016-04-031-29/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/java-config: 2.2.0-r3 stable using ALLARCHESJames Le Cuirot2016-04-031-1/+1
| | | | Package-Manager: portage-2.2.28
* dev-java/jamon: Remove vulnerable 1.01-r3 wrt bug #499330James Le Cuirot2016-04-034-148/+0
| | | | Package-Manager: portage-2.2.28
* dev-java/jamon: Version bump to 2.81, java-pkg-simple rewriteJames Le Cuirot2016-04-033-0/+84
| | | | | | | | | This adds the war but I'm afraid I haven't tested it at all. A couple of jars remain bundled because they're not working tackling right now. src_test has been added and all tests are passing. Package-Manager: portage-2.2.28
* dev-java/spymemcached: Remove optional dependence on Spring FrameworkJames Le Cuirot2016-04-032-13/+3
| | | | | | | | Our Spring Framework packages are going to be masked because they're outdated, vulnerable, and not likely to be updated soon. Straight to stable because I'm just removing USE-based functionality. Package-Manager: portage-2.2.28
* dev-java/jtreemap: Clean up old.Patrice Clement2016-04-033-66/+0
| | | | Package-Manager: portage-2.2.26